Skip to main content
GET
/
api
/
v2
/
orders
/
list
List Orders
curl --request GET \
  --url https://api-staging.unbridaled.ai/api/v2/orders/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-staging.unbridaled.ai/api/v2/orders/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-staging.unbridaled.ai/api/v2/orders/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "metadata": {
    "limit": 1,
    "offset": 10,
    "total_count": 182
  },
  "orders": [
    {
      "billing_address": {
        "address_1": "Addr 1",
        "address_2": "",
        "city": "Albany",
        "country_code": "US",
        "postal_code": "12206",
        "region": "AK"
      },
      "cancellations": null,
      "events": [
        {
          "created_on": "2022-01-17T02:53:22.961981+00:00",
          "event_data": {
            "line_items": [
              {
                "quantity": 1,
                "uuid": "0d271493-b819-4ce3-9bac-15160b36021f"
              }
            ],
            "order_uuid": "e2092b3d-01fb-4958-8984-541878dbf136",
            "tracking_company": "UPS",
            "tracking_number": "12341234"
          },
          "event_type": "order.fulfillments.create",
          "updated_on": "2022-01-17T02:53:22.961985+00:00"
        }
      ],
      "fulfillment_status": null,
      "fulfillments": [
        {
          "created_on": "2022-01-17T02:53:22.955589+00:00",
          "line_items": [
            {
              "created_on": "2022-01-12T16:42:56.656762+00:00",
              "description": "",
              "fulfilled_quantity": 1,
              "fulfillment_status": "fulfilled",
              "name": "Gem UB89E482",
              "position": 0,
              "price": 130,
              "product_data": {
                "fields": {
                  "base_currency_code": "USD",
                  "base_retail_price": 210,
                  "base_wholesale_price": 130,
                  "cert_num": "lg10639808",
                  "cert_url": "https://unbridaled-dev.s3.amazonaws.com/das/uploads/certs/igi/lg10639808.pdf",
                  "clarity": "SI1",
                  "color": "E",
                  "cost": 81.92,
                  "country_code": "USA",
                  "crown_angle": null,
                  "culet_size": null,
                  "currency_code": "USD",
                  "cut_grade": null,
                  "cut_grade_description": "",
                  "delivery_days_max": 2,
                  "delivery_days_min": 1,
                  "depth": 2.04,
                  "depth_percentage": 56.4,
                  "exchange_rate": 1,
                  "fluorescence": "None",
                  "girdle_max": "MD",
                  "girdle_min": "MD",
                  "id": 93692,
                  "image_bottom_url": null,
                  "image_top_url": "",
                  "lab": "IGI",
                  "length": 7.24,
                  "memo": true,
                  "merchant_template_group": null,
                  "merchant_template_label": null,
                  "merchant_template_uuid": null,
                  "off_rap_price": -84,
                  "parcel": false,
                  "pavilion_angle": 0,
                  "pavilion_depth": 0,
                  "polish_grade": "VG",
                  "quantity": 0,
                  "ratio": 2,
                  "retail_price": 210,
                  "returnable": true,
                  "shape": "marquise",
                  "shape_icon_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-marquise.svg",
                  "shape_icon_url_png": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-marquise.png",
                  "shape_image_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/marquise.gif",
                  "sku": "UB89E482",
                  "supplier_id": null,
                  "symmetry_grade": "G",
                  "table_percentage": 56.5,
                  "type": "lab grown",
                  "ux_url": "",
                  "vendor_sku": "uc2098",
                  "video_url": null,
                  "weight": 0.32,
                  "wholesale_price": 130,
                  "width": 3.62
                }
              },
              "product_id": "93692",
              "product_type": "gem",
              "properties": null,
              "quantity": 1,
              "sku": "UB89E482",
              "updated_on": "2022-01-12T16:42:56.656768+00:00",
              "uuid": "0d271493-b819-4ce3-9bac-15160b36021f",
              "vendor": "GD"
            }
          ],
          "status": "success",
          "tracking_company": "UPS",
          "tracking_number": "12341234",
          "tracking_url": "",
          "updated_on": "2022-01-17T02:53:22.955595+00:00",
          "uuid": "49dbf4cc-bc32-44e6-b0d5-6dabe4118e85"
        }
      ],
      "line_items": [
        {
          "created_on": "2022-01-12T16:42:56.656762+00:00",
          "description": "Certificate for lg10639808 - Lab - IGI",
          "fulfilled_quantity": 0,
          "fulfillment_status": null,
          "name": "Certificate UB89E482",
          "position": 1,
          "price": 0,
          "product_data": {
            "fields": {}
          },
          "product_id": null,
          "product_type": "cert",
          "properties": [
            {
              "name": "cert_num",
              "value": "lg10639808"
            },
            {
              "name": "lab",
              "value": "IGI"
            },
            {
              "name": "type",
              "value": "lab grown"
            }
          ],
          "quantity": 1,
          "sku": "",
          "updated_on": "2022-01-12T16:42:56.656768+00:00",
          "uuid": "2a04d714-f16a-47c4-8797-f74e3dffe346",
          "vendor": "GD"
        },
        {
          "created_on": "2022-01-12T16:42:56.656762+00:00",
          "description": "",
          "fulfilled_quantity": 1,
          "fulfillment_status": "fulfilled",
          "name": "Gem UB89E482",
          "position": 0,
          "price": 130,
          "product_data": {
            "fields": {
              "base_currency_code": "USD",
              "base_retail_price": 210,
              "base_wholesale_price": 130,
              "cert_num": "lg10639808",
              "cert_url": "https://unbridaled-dev.s3.amazonaws.com/das/uploads/certs/igi/lg10639808.pdf",
              "clarity": "SI1",
              "color": "E",
              "cost": 81.92,
              "country_code": "USA",
              "crown_angle": null,
              "culet_size": null,
              "currency_code": "USD",
              "cut_grade": null,
              "cut_grade_description": "",
              "delivery_days_max": 2,
              "delivery_days_min": 1,
              "depth": 2.04,
              "depth_percentage": 56.4,
              "exchange_rate": 1,
              "fluorescence": "None",
              "girdle_max": "MD",
              "girdle_min": "MD",
              "id": 93692,
              "image_bottom_url": null,
              "image_top_url": "",
              "lab": "IGI",
              "length": 7.24,
              "memo": true,
              "merchant_template_group": null,
              "merchant_template_label": null,
              "merchant_template_uuid": null,
              "off_rap_price": -84,
              "parcel": false,
              "pavilion_angle": 0,
              "pavilion_depth": 0,
              "polish_grade": "VG",
              "quantity": 0,
              "ratio": 2,
              "retail_price": 210,
              "returnable": true,
              "shape": "marquise",
              "shape_icon_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-marquise.svg",
              "shape_icon_url_png": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-marquise.png",
              "shape_image_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/marquise.gif",
              "sku": "UB89E482",
              "supplier_id": null,
              "symmetry_grade": "G",
              "table_percentage": 56.5,
              "type": "lab grown",
              "ux_url": "",
              "vendor_sku": "uc2098",
              "video_url": null,
              "weight": 0.32,
              "wholesale_price": 130,
              "width": 3.62
            }
          },
          "product_id": "93692",
          "product_type": "gem",
          "properties": null,
          "quantity": 1,
          "sku": "UB89E482",
          "updated_on": "2022-01-12T16:42:56.656768+00:00",
          "uuid": "0d271493-b819-4ce3-9bac-15160b36021f",
          "vendor": "GD"
        }
      ],
      "margins": {
        "lab grown": [
          {
            "percent": 65,
            "weight_max": 5,
            "weight_min": 2.01
          },
          {
            "percent": 55,
            "weight_max": 1,
            "weight_min": 0.01
          },
          {
            "percent": 50,
            "weight_max": 2,
            "weight_min": 1.01
          }
        ],
        "mined": [
          {
            "percent": 50,
            "weight_max": 5,
            "weight_min": 2.01
          },
          {
            "percent": 40,
            "weight_max": 1,
            "weight_min": 0.01
          },
          {
            "percent": 45,
            "weight_max": 2,
            "weight_min": 1.01
          }
        ]
      },
      "memo_due_date": null,
      "memo_id": null,
      "merchant": {
        "activated": true,
        "approval_status": "approved",
        "billing_address_1": "Addr 2",
        "billing_address_2": "",
        "billing_city": "Albany",
        "billing_country_code": "US",
        "billing_postal_code": "12206",
        "billing_region": "AK",
        "braintree_customer_id": "263026225",
        "business_phone": "5456515152",
        "business_type": "online",
        "cc_emails": null,
        "deleted": false,
        "email": "[email protected]",
        "external_id": "2535cf93-53b8-43d2-bb46-5881f9013735",
        "first_name": "Annie",
        "internal_email": "[email protected]",
        "last_name": "Chin",
        "legal_dba": "Bride",
        "merchant_settings": {
          "margin_mode": "weight"
        },
        "onboarding_status": "completed",
        "provider": "unbridaled",
        "references": [
          {
            "business_phone": "5465151151",
            "company_name": "Company First",
            "email": "[email protected]",
            "first_name": "Company",
            "last_name": "First",
            "position": 1,
            "upload_urls": [
              "https://unbridaled-dev.s3.amazonaws.com/das/uploads/merchants/36560a20-bbf5-4eb4-a205-736b10d09ccf.jpg"
            ]
          },
          {
            "business_phone": "6565654654",
            "company_name": "Company Second",
            "email": "[email protected]",
            "first_name": "Company",
            "last_name": "Second",
            "position": 2,
            "upload_urls": [
              "https://unbridaled-dev.s3.amazonaws.com/das/uploads/merchants/66910882-0f80-4435-9568-098de9425137.jpg"
            ]
          }
        ],
        "shipping_address_1": "Addr 1",
        "shipping_address_2": "",
        "shipping_city": "Albany",
        "shipping_country_code": "US",
        "shipping_postal_code": "12206",
        "shipping_region": "AK",
        "subscription_status": "completed",
        "tax_id": "1234123422",
        "url": "das/uploads/merchants/0ee9bcb1-59e7-4c39-9980-bf7795a81ffe.jpg",
        "uuid": "2535cf93-53b8-43d2-bb46-5881f9013735"
      },
      "merchant_uuid": "2535cf93-53b8-43d2-bb46-5881f9013735",
      "notes": "",
      "order_channel": "manual",
      "order_id": "OUBBBAAE4EF0E",
      "order_reference": "",
      "order_type": "invoice",
      "ordered_on": "2022-01-12T23:21:03.184775",
      "payment_status": null,
      "products": {
        "data": [
          {
            "base_currency_code": "USD",
            "base_retail_price": 210,
            "base_wholesale_price": 130,
            "cert_num": "lg10639808",
            "cert_url": "https://unbridaled-dev.s3.amazonaws.com/das/uploads/certs/igi/lg10639808.pdf",
            "clarity": "SI1",
            "color": "E",
            "country_code": "USA",
            "crown_angle": null,
            "culet_size": null,
            "currency_code": "USD",
            "cut_grade": null,
            "cut_grade_description": "",
            "delivery_days_max": 2,
            "delivery_days_min": 1,
            "depth": 2.04,
            "depth_percentage": 56.4,
            "exchange_rate": 1,
            "fluorescence": "None",
            "girdle_max": "MD",
            "girdle_min": "MD",
            "id": 93692,
            "image_bottom_url": null,
            "image_top_url": "",
            "lab": "IGI",
            "length": 7.24,
            "memo": true,
            "merchant_template_group": null,
            "merchant_template_label": null,
            "merchant_template_uuid": null,
            "off_rap_price": -84,
            "parcel": false,
            "pavilion_angle": 0,
            "pavilion_depth": 0,
            "polish_grade": "VG",
            "quantity": 0,
            "ratio": 2,
            "retail_price": 210,
            "returnable": true,
            "shape": "marquise",
            "shape_icon_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-marquise.svg",
            "shape_icon_url_png": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-marquise.png",
            "shape_image_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/marquise.gif",
            "sku": "UB89E482",
            "symmetry_grade": "G",
            "table_percentage": 56.5,
            "type": "lab grown",
            "ux_url": "",
            "video_url": null,
            "weight": 0.32,
            "wholesale_price": 130,
            "width": 3.62
          }
        ]
      },
      "provider": "unbridaled",
      "shipping_address": {
        "address_1": "Addr 2",
        "address_2": "",
        "city": "Albany",
        "country_code": "US",
        "postal_code": "12206",
        "region": "AK"
      },
      "skus": [
        "UB89E482"
      ],
      "tracking": null,
      "uuid": "e2092b3d-01fb-4958-8984-541878dbf136"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50

How many results to return at a time in the "orders" field of the response object. Defaults to 50.

offset
integer
default:0

How many results to skip. Used for pagination. Defaults to 0.

payment_status
enum<string>[]

Payment status filter.

Available options:
paid,
unpaid
fulfillment_status
enum<string>[]
Available options:
partial,
fulfilled,
unfulfilled
order_type
enum<string>[]
Available options:
invoice,
memo
sort_col
enum<string>
default:ordered_on

Selects a column to sort the orders. Defaults to sorting by the created_on date.

Available options:
ordered_on,
total,
merchant_legal_dba
sort_order
enum<string>
default:asc

Order to sort the column.

Available options:
asc,
desc

Response

200 - application/json

OK

metadata
object
orders
object[]